Page MenuHomePhabricator

[bug] viewport jumps when selecting namespaces (on betawiki)
Closed, ResolvedPublic2 Story Points

Description

Current situation
To replicate: On beta, when only (main) namespace is selected

  • select a namespace from the bottom of the list (for example config)

-> you jump back up to (main)

  • now select user for example

-> you jump back down to config

  • and so forth

Notes: does not seem to work when selecting the very last namespace of the list. If it doesn't work for you try refreshing the page and try again. After having selected a few things it also seems to stop working. this behavior also doesn't occur when selecting namespaces with the keyboard navigation.

Task
It should be possible to select namespaces in any order without the viewport jumping around but staying in the same position.

Acceptance criteria

  • When selecting a namespace, the viewport should not move.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptSep 6 2018, 2:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 458799 had a related patch set uploaded (by Tonina Zhelyazkova; owner: Tonina Zhelyazkova):
[mediawiki/extensions/AdvancedSearch@master] Ovverride seSelect function from an OOUI component

https://gerrit.wikimedia.org/r/458799

Tonina_Zhelyazkova_WMDE set the point value for this task to 2.Sep 10 2018, 8:14 AM

Change 458799 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Execute menu selection logic last in the stack

https://gerrit.wikimedia.org/r/458799

Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:50 AM
Lea_WMDE claimed this task.